%define name kchm
%define version 0.6.5
%define release 2mdk
%define __libtoolize /bin/true
%define __cputoolize /bin/true

%define lib_name_orig %mklibname %name
%define lib_major 0
%define lib_name %lib_name_orig%lib_major



Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary: KChm is a new chm viewer for KDE
License: GPL
URL: http://sourceforge.net/projects/kchmnew/
Group: Development/KDE and Qt
Source: http://mesh.dl.sourceforge.net/sourceforge/kchmnew/kchm-0.6.5.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires: %lib_name = %version


%description
KChm is a new chm viewer for KDE. 
It consists of kio_chm, corresponding 
kpart(so you can view chm files in konqueror) 
and a small viewer on top of this.

%package -n %lib_name-devel
Summary:Development files from kchm
Group: Development/KDE and Qt
Requires: %lib_name = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %lib_name-devel
Headers files for kchm.

%package -n %lib_name
Summary: Headers files for kchm
Group: Development/KDE and Qt
Requires: %{name} = %{version}

%description -n %lib_name
Headers files for kchm.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

#menus
install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="More Applications/Development/Tools" \
                  title="Kchm"\
                  longtitle="%{summary}"
EOF

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc COPYING INSTALL Doxygen
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
%_datadir/apps/chmnew/chmnew_shell.rc
%_datadir/apps/chmnewpart/chmnew_part.rc
%_datadir/apps/kchm/chmnew_shell.rc
%_iconsdir/hicolor/*/apps/chm.png
%_iconsdir/locolor/*/apps/chm.png
%_datadir/mimelnk/application/chmmime.desktop
%_datadir/services/chmnew.protocol
%_datadir/services/chmnew_part.desktop
%_datadir/servicetypes/kchm.desktop

%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/kio_chmnew.la
%_libdir/kde3/kio_chmnew.so
%_libdir/kde3/libchmnewpart.la
%_libdir/kde3/libchmnewpart.so
%_libdir/libchmmix.so.*



%files -n %lib_name-devel
%defattr(-,root,root)
%_includedir/chm_lib.h
%_includedir/chmxx.h
%_includedir/lzx.h
%_libdir/libchmmix.so
%_libdir/libchmmix.la


%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig



%changelog
* Sun May 15 2005 <plouf@mandriva.org> 0.6.5-2mdk
- Fix silly error

* Sun May 15 2005 <plouf@mandriva.org> 0.6.5-1mdk
- First Mandriva Linux release
